// ===========================================================================
// Option.h
// read/write options
//
//                                                                    kanegon
// ===========================================================================

#if !defined(_OPTION_H_)
#define _OPTION_H_


//////////////////////////////////////////////////////////////////////////////
// IvV

class CProfile {
private:
	BOOL m_bReadOnlyOpen;			// ǂݎpŊJ
	BOOL m_bExitByESC;				// ǂݎp̂ƂAESCŃAvI
	BOOL m_bUseNative2Ascii;		// ϊ native2ascii gp
	TCHAR m_szNative2AsciiPath[_MAX_PATH];
									// native2ascii ̃pX
public:
	CProfile() {
		m_bReadOnlyOpen = TRUE;
		m_bExitByESC = FALSE;
		m_bUseNative2Ascii = FALSE;
		m_szNative2AsciiPath[0] = '\0';
	}
	~CProfile() {
	}

public:
	void SetReadOnlyOpen(BOOL bEnable) {
		m_bReadOnlyOpen = bEnable;
	}
	BOOL GetReadOnlyOpen() {
		return m_bReadOnlyOpen;
	}
	void SetExitByESC(BOOL bEnable) {
		m_bExitByESC = bEnable;
	}
	BOOL GetExitByESC() {
		return m_bExitByESC;
	}
	void SetUseNative2Ascii(BOOL bEnable) {
		m_bUseNative2Ascii = bEnable;
	}
	BOOL GetUseNative2Ascii() {
		return m_bUseNative2Ascii;
	}
	void SetNative2AsciiPath(LPCTSTR pszPath) {
		if (pszPath != NULL &&
			lstrlen(pszPath) < _MAX_PATH - 1) {
			lstrcpy(m_szNative2AsciiPath, pszPath);
		}
	}
	LPCTSTR GetNative2AsciiPath() {
		return m_szNative2AsciiPath;
	}

	BOOL Read();
	BOOL Write();
};

extern CProfile g_Profile;


#endif // _OPTION_H_
