// ===========================================================================
// Option.cpp
// read/wirte options
//
//                                                                    kanegon
// ===========================================================================

#include "stdafx.h"
#include "common.h"
#include "Option.h"


//////////////////////////////////////////////////////////////////////////////

#define REG_KEY "Software\\kanegon\\JResViewer"


//////////////////////////////////////////////////////////////////////////////

CProfile g_Profile;


//////////////////////////////////////////////////////////////////////////////
// IvV

BOOL CProfile::Read()
{
	DWORD dwValue;
	TCHAR szBuffer[_MAX_PATH];
	ReadRegInt(REG_KEY, "ReadOnlyOpen", &dwValue, 1);
	SetReadOnlyOpen((dwValue == 1) ? TRUE : FALSE);
	ReadRegInt(REG_KEY, "ExitByESC", &dwValue, 0);
	SetExitByESC((dwValue == 1) ? TRUE : FALSE);
	ReadRegInt(REG_KEY, "UseNative2Ascii", &dwValue, 0);
	SetUseNative2Ascii((dwValue == 1) ? TRUE : FALSE);
	ReadRegText(REG_KEY, "Native2AsciiPath", szBuffer, sizeof(szBuffer), "");
	SetNative2AsciiPath(szBuffer);
	return TRUE;
}

BOOL CProfile::Write()
{
	WriteRegInt(REG_KEY, "ReadOnlyOpen", GetReadOnlyOpen() ? 1 : 0);
	WriteRegInt(REG_KEY, "ExitByESC", GetExitByESC() ? 1 : 0);
	WriteRegInt(REG_KEY, "UseNative2Ascii", GetUseNative2Ascii() ? 1 : 0);
	WriteRegText(REG_KEY, "Native2AsciiPath", GetNative2AsciiPath());
	return TRUE;
}

