// ===========================================================================
// OptionDlg.h
// option setting
//
//                                                                    kanegon
// ===========================================================================

#if !defined(_OPTIONDLG_H_)
#define _OPTIONDLG_H_

#include "resource.h"
#include "ExControl.h"


/////////////////////////////////////////////////////////////////////////////
// IvVݒ_CAO

class COptionDlg: public CDialogImpl<COptionDlg>
{
public:
	enum { IDD = IDD_OPTION };
	BEGIN_MSG_MAP(COptionDlg)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	COMMAND_HANDLER(IDC_OPTION_USE_N2A_CHECK, BN_CLICKED, OnNative2AsciiCheck)
	COMMAND_HANDLER(IDOK, BN_CLICKED, OnOK)
	COMMAND_HANDLER(IDCANCEL, BN_CLICKED, OnCancel)
	COMMAND_HANDLER(IDC_OPTION_N2A_REF_BUTTON, BN_CLICKED, OnRefNative2Ascii)
	END_MSG_MAP()

private:
	void ButtonStatusChanged();

public:
	LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
	LRESULT OnNative2AsciiCheck(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnRefNative2Ascii(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
};


#endif // _OPTIONDLG_H_
