// ===========================================================================
// jresviewer.cpp
// jresviewer application
//
//                                                                    kanegon
// ===========================================================================

#include "stdafx.h"
#include "resource.h"
#include "common.h"
#include "Option.h"
#include "MainFrm.h"

//////////////////////////////////////////////////////////////////////////////

CComModule _Module;

UINT g_uFindMessage = 0;

extern HWND g_hwndFindReplaceDlg;


//////////////////////////////////////////////////////////////////////////////

// AvP[V ^Cg擾
LPCTSTR KfxGetAppTitle()
{
	static TCHAR szTitle[256];
	if (szTitle[0] != '\0')
		return szTitle;
	if (! ::ExLoadString(IDS_APP_TITLE, szTitle, sizeof(szTitle))) {
		::MessageBox(NULL, "GetAppTitle() failed", NULL, MB_OK | MB_ICONERROR);
	}
	return szTitle;
}

// IvVQ
CProfile* KfxGetProfile()
{
	return &g_Profile;
}

// CEBhEQ
CMainFrame* KfxGetMainWnd()
{
	return g_pMainFrame;
}

//////////////////////////////////////////////////////////////////////////////

// AvP[V Gg
int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow )
{
	_Module.Init(NULL, hInstance);

	g_uFindMessage = ::RegisterWindowMessage(FINDMSGSTRING);
	if (g_uFindMessage == 0) {
		// error
		return 0;
	}

	KfxGetProfile()->Read();

	CMainFrame wnd;
	wnd.ExCreate();
	if (wnd.m_hWnd == NULL) {
		// error
		return 0;
	}

	HACCEL hAccel = ::LoadAccelerators(_Module.GetResourceInstance(), MAKEINTRESOURCE(IDR_JRESVIEWER));
	if (hAccel == NULL) {
		// error
		return 0;
	}

	DragAcceptFiles(wnd.m_hWnd, TRUE);

	if (__argc >= 2) {
		wnd.PostMessage(WM_OPENFILE_ON_STARTUP, 0, (LPARAM)__targv[1]);
	}

	MSG msg;
	while (::GetMessage(&msg, NULL, 0, 0)) {
		if (!g_hwndFindReplaceDlg || !IsDialogMessage(g_hwndFindReplaceDlg, &msg)) {
			if (!::TranslateAccelerator(wnd, hAccel, &msg)) {
				::TranslateMessage(&msg);
				::DispatchMessage(&msg);
			}
		}
	}

	_Module.Term();

	return msg.wParam;
}

