// ===========================================================================
// StrRStr.cpp
//
//                                                                    kanegon
// ===========================================================================

#include <tchar.h>
#include <windows.h>
#include <shlwapi.h>
#include "strrstr.h"

#pragma comment(lib, "shlwapi.lib")

LPCSTR StrRStrA(LPCSTR pszSource, LPCSTR pszLast, LPCSTR pszSrch)
{
	if (pszSource == NULL || pszSrch == NULL) {
		return NULL;
	}
	int nSrchTextLen = lstrlenA(pszSrch);
	LPCSTR pszFindStr = NULL;
	LPCSTR pszLastTmp;
	if (pszLast != NULL) {
		pszLastTmp = pszLast;
	} else {
		pszLastTmp = pszSource + lstrlenA(pszSource);
	}
	for (;;) {
		pszFindStr = StrRStrIA(pszSource, pszLastTmp, pszSrch);
		if (pszFindStr == NULL) {
			break;
		}
		if (memcmp(pszFindStr, pszSrch, nSrchTextLen) == 0) {
			break;
		}
		pszLastTmp = pszFindStr;
	}
	return pszFindStr;
}

LPCWSTR StrRStrW(LPCWSTR pszSource, LPCWSTR pszLast, LPCWSTR pszSrch)
{
	if (pszSource == NULL || pszSrch == NULL) {
		return NULL;
	}
	int nSrchTextLen = lstrlenW(pszSrch) * sizeof(WCHAR);
	LPCWSTR pszFindStr = NULL;
	LPCWSTR pszLastTmp;
	if (pszLast != NULL) {
		pszLastTmp = pszLast;
	} else {
		pszLastTmp = pszSource + lstrlenW(pszSource);
	}
	for (;;) {
		pszFindStr = StrRStrIW(pszSource, pszLastTmp, pszSrch);
		if (pszFindStr == NULL) {
			break;
		}
		if (memcmp(pszFindStr, pszSrch, nSrchTextLen) == 0) {
			break;
		}
		pszLastTmp = pszFindStr;
	}
	return pszFindStr;
}
